<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
require('../../_lib/vr_updcol.php');

include('php_gene1.php');
include('php_session.php');

$pagina_descri='REGISTRO DE COBROS DE ';
$pagina_nivel;
$pagina_tipo;

$xdocu=$_GET['docu'];
$xidnum=$_GET['idnum'];

$tabla=r_fiel('docu',$xdocu,'tabla');

$sql_pago ='select *, ';
if($tabla=='vtas')
{
  $sql_pago.='sum(tsubtiva0) as stsubtiva0, ';
  $sql_pago.='sum(tsubtiva) as stsubtiva, ';
  $sql_pago.='sum(tiva) as stiva, ';
  $sql_pago.='sum(tice) as stice, ';
}
$sql_pago.='sum(total) as stotal ';
$sql_pago.='from '.$tabla.'12 where idnum1="'.$xidnum.'"';
$res_pago=mysql_query($sql_pago,$link_vcrx);
if(mysql_num_rows($res_pago)==0)
{
	die('NO SE ENCONTRARON RESULTADOS');
}
$idnum=mysql_result($res_pago,0,'idnum1');
$docu=mysql_result($res_pago,0,'docu');
$ptoe=mysql_result($res_pago,0,'ptoe');
$numero=mysql_result($res_pago,0,'numero');
$ptonumero=mysql_result($res_pago,0,'ptonumero');
$ci=mysql_result($res_pago,0,'enti');
// $docuenti=mysql_result($res_pago,0,'docuenti1');
$docuenti=$docu.$ptoe.$numero.$ci;
$entidad=mysql_result($res_pago,0,'enti_descri');
$concepto=mysql_result($res_pago,0,'concepto');

$tsubtiva0=@mysql_result($res_pago,0,'stsubtiva0');
$tsubtiva=@mysql_result($res_pago,0,'stsubtiva');
$tiva=@mysql_result($res_pago,0,'stiva');
$tice=@mysql_result($res_pago,0,'stice');
$valor=mysql_result($res_pago,0,'stotal');
$abono=0;


// $sql_pago2='select sum((abono)) as abono from cxco2 where docuenti2="'.$docuenti.'"';
// $res_pago2=mysql_query($sql_pago2,$link_vcrx);

// if(mysql_num_rows($res_pago2)!=0){$abono=mysql_result($res_pago2,0,'abono');}
// $saldo=$valor-abs($abono);

$saldo=sal_docu($docu,$idnum);
$abono=$valor-$saldo;

// $sql_ucair = 'update vtas2,cair0 set rrta=cair_porc where trim(cair)=trim(cair_codigo) and (rrta=0 or rrta is null) and idnum2='.'"'.$xidnum.'"'; 	
// $res_ucair=mysql_query($sql_ucair,$link_vcrx);


?>
<?php 
	if(isset($xidnum) && !empty($xidnum))
	{
// 		$sql_cxpa='select *from cxco2 where docuenti2="'.$docu.mysql_result($res_pago,0,'ptoe').mysql_result($res_pago,0,'numero').mysql_result($res_pago,0,'enti').'" order by fecha desc,docum';
		$sql_cxpa='select *from cxco2 where docuenti2="'.$docuenti.'" order by fecha desc,docum';
// 		echo $sql_cxpa;
		$res_cxpa=mysql_query($sql_cxpa,$link_vcrx);
?>
	

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Cobro a Clientes</title>
<style type="text/css">
body{ font-family:"Courier New", Courier, monospace; font-size:12px;}

.th_caja{ display:none;}
.th_ctab{ display:none;}
.th_cair{ display:none;}
.th_base{ display:none;}

</style>
<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>
<script type="text/javascript">
var numero='<?php echo $numero;?>';
var idnum='<?php echo $xidnum;?>';
function valida_docu()
{

var doc=document.getElementById('docu').value;
		doc=doc.toUpperCase();
var docux=document.getElementById('docu').value;
var saldoxtot=<?php echo $saldo;?>;
var cant=parseInt(document.getElementById('cant').value);
var base=parseInt(document.getElementById('base').value);
var porc=parseInt(document.getElementById('porc').value);

reg=/(RC)/;
if(reg.test(doc))
{
	cant=base*porc/100;
}	

// if(saldoxtot<cant)
if((cant-saldoxtot)>1/100)
{
// 	document.getElementById('msjerr').innerHTML='Cantidad no puede ser mayor al Saldo';
	document.getElementById('msjerr').innerHTML='Cantidad no debe ser mayor al Saldo';
// 	return false;
}
else
{
	document.getElementById('msjerr').innerHTML='';
}



docux=docux.trim();


if(docux.length!=4)
{
// 	document.getElementById('msjerr').innerHTML='Documento Incorrecto';
}
else
{
	document.getElementById('msjerr').innerHTML='';
	
}

	graba_c();

}

function graba_c()
{
	var docu=document.getElementById('docu').value.toUpperCase();
	var ptoe=document.getElementById('ptoe').value;
	var numer=document.getElementById('numero').value;
	var cant=document.getElementById('cant').value;
	var caja=document.getElementById('caja').value.toUpperCase();
	var ctab=document.getElementById('ctab').value.toUpperCase();
	var cair=document.getElementById('cair').value;	
	var base=document.getElementById('base').value;	
	var fecha=fecha_format(document.getElementById('fecha').value);	
	var cant=document.getElementById('cant').value;
	var porc=document.getElementById('porc').value;
	var concepto=document.getElementById('concepto').value.toUpperCase();
	var id_retorno;

	if(docu=="" && cant>""){docu="IE10";}
	
	msgconfir='GRABAR '+docu+' '+numer+' --> $'+cant+' ?';
	if (confirm(msgconfir)) 
	{
	
	$.ajax({
		cache:false,
		url:'../lib/vrcobro2.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{docu:docu,ptoe:ptoe,numer:numer,cant:cant,base:base,porc:porc,cair:cair,fecha:fecha,idnum:'<?php echo $idnum;?>',ci:'<?php echo $ci;?>',docum:'<?php echo $docu;?>',numero:'<?php echo $numero;?>',ptoem:'<?php echo $ptoe;?>',caja:caja,ctab:ctab,concepto:concepto},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			//console.log();
			document.getElementById('msjerr').innerHTML=dato;
			console.log(dato);

      if(dato.toUpperCase().indexOf('ERROR')<0)
      {
        id_retorno=parseInt(dato);
        if(isNaN(id_retorno)){window.location.reload();}
      }
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
			}           
		},
		timeout:30000
	});
	}	
}

function muestra(columna)
{
	document.getElementById(columna).style.display='table-cell';
}

function esconde()
{
	document.getElementById('th_numero').style.display='none';
	document.getElementById('th_fecha').style.display='none';
	document.getElementById('th_concepto').style.display='none';
	
	document.getElementById('th_ptoe').style.display='none';
	document.getElementById('th_difer').style.display='none';
	document.getElementById('th_caja').style.display='none';
	document.getElementById('th_ctab').style.display='none';
	document.getElementById('th_cair').style.display='none';
	document.getElementById('th_base').style.display='none';
	document.getElementById('th_porc').style.display='none';
	document.getElementById('th_bcos').style.display='none';
	document.getElementById('th_ctanum').style.display='none';
	document.getElementById('th_ctanom').style.display='none';

// 	document.getElementById('grabar').disabled='true';
}

function _docu(e)
{
	
	var doc=document.getElementById('docu').value;
	var reg='';
// 	var elemento=document.getElementsByClassName('th_caja').length;

	esconde();
	muestra('th_cant');
	document.getElementById('msjerr').innerHTML='DOCUMENTO NO VALIDO';

	reg=/(IE)|(ICH)|(IV)|(RC)|(DC)|(AC)|(NC)|(CC1)/;	
	if(reg.test(doc))
	{
// 	document.getElementById('grabar').disabled='false';
	document.getElementById('msjerr').innerHTML='';
		
	muestra('th_numero');
	muestra('th_fecha');
	muestra('th_concepto');
	
	reg=/(IE)/;	
	if(reg.test(doc))
	{
		muestra('th_caja');
	}
	
	reg=/(DC)/;	
	if(reg.test(doc))
	{
		muestra('th_ctab');
	}
	
// 	reg=/(CC)|(ICP)|(IE)|(KA)/;	
// 	if(reg.test(doc))
// 	{
// 		muestra('th_caja');
// 	}
	
	reg=/(IC)|(IV)/;	
	if(reg.test(doc))
	{
		muestra('th_caja');
		muestra('th_bcos');
		muestra('th_ctanum');
		muestra('th_ctanom');
	}
	
// 	reg=/(^AP11)|(CC29)|(^CH)|(DB)|(DC)|(DP)|(ND)|(PR)/;
// 	if(reg.test(doc))
// 	{
// 		muestra('th_ctab');
// 	}

	reg=/(RC)/;
	if(reg.test(doc))
	{		
		document.getElementById('th_cant').style.display='none';
		muestra('th_ptoe');
		muestra('th_cair');
		muestra('th_base');		
		muestra('th_porc');		
		
	}
	
	//reg=/(*)/;
	if(doc=='*')
	{	
		muestra('th_caja');
    muestra('th_ctab');	
		muestra('th_cair');
		muestra('th_base');		
	}
	}
}


	
function fecha(e,e2)
{
//if(e.keyCode==9 || e.keyCode==13)
// validar fecha desde hasta

	var xnumbloq=document.getElementById(e2).value.toUpperCase();
		xvnum='0123456789-/';
		xnum='';
		for (i=0; i<xnumbloq.length;i++)
			{
				xcar=xnumbloq.substring(i,i+1);	
				if (xvnum.indexOf(xcar)>=0){xnum+=xcar;}
			}
		 	document.getElementById(e2).value=xnum;
	
		var fn=document.getElementById(e2).value;
if(e.keyCode==13 || e.keyCode==9)
{
		fn=fecha_format(fn);
		document.getElementById(e2).value=fn;

		var xfecha=new Date(document.getElementById(e2).value);
		var xdate = new Date();
		var xdif=parseInt(xfecha-xdate)/(1000*60*60*24);
		var xdaten=xdate.getFullYear()+'-'+xdate.getMonth()+1+'-'+xdate.getDate();
	
		if (xdif>365){document.getElementById(e2).value=xdaten;}
		if (xdif<-30){document.getElementById(e2).value=xdaten;}
}	
}


function _cant()
{
	document.getElementById('th_difer').style.display='none';
	var xsaldo= document.getElementById("idsaldo").value;
	var xcant= document.getElementById("cant").value;
	xsaldo=parseFloat(xsaldo.replace(",",""));
	xcant=parseFloat(xcant.replace(",",""));
	var xdife=(xsaldo-xcant).toFixed(2);

	document.getElementById("difer").value=(xdife);
	if(xdife<0)
	{
		muestra('th_difer');
	}
}
	
	
function _numero(e)
{
	var pad0="000000000";
	var num1=parseInt(document.getElementById("numero").value)+"";
	num1=num1.trim();
	if(num1=="NaN")
	{
		num1="1";
	}
	if(e.keyCode==9 || e.keyCode==13)
	{
		document.getElementById("numero").value=pad0.substring(0, pad0.length-num1.length)+num1;
		document.getElementById("fecha").focus();
	}
	if(e.keyCode==13)
	{
//                 carga_reg_docu();
//                 carga_docu_deta();
	}
}
	
function _ptoe(e)
{
	if(e.keyCode==9 || e.keyCode==13)
	{
		var pad0="001001";
		var num1=parseInt(document.getElementById("ptoe").value)+"";
		num1=num1.trim();
		if(num1=="NaN")
		{
			num1="1";
		}
		//if(e.keyCode==9 || e.keyCode==13)
			document.getElementById("ptoe").value=pad0.substring(0, pad0.length-num1.length)+num1;
		if(e.keyCode==13)
		{
// 			busca_ndocu(document.getElementById('docu').value,document.getElementById('ptoe').value,'numero');
		}
		if(e.keyCode==9)
		{	
// 			document.getElementById('numero').focus();
		}
	
	}
}


	
function numbloq(e,e2)
{
	var xnumbloq=document.getElementById(e2).value.toUpperCase();
		xvnum='0123456789';
		xnum='';
		for (i=0; i<xnumbloq.length;i++)
			{
				xcar=xnumbloq.substring(i,i+1);	
				if (xvnum.indexOf(xcar)>=0){xnum+=xcar;}
			}
		 	document.getElementById(e2).value=xnum;
}

function valbloq(e,e2)
{
	var xnumbloq=document.getElementById(e2).value.toUpperCase();
		xvnum='0123456789.';
		xnum='';
		for (i=0; i<xnumbloq.length;i++)
			{
				xcar=xnumbloq.substring(i,i+1);	
				if (xvnum.indexOf(xcar)>=0){xnum+=xcar;}
				if (xcar=='.'){xvnum=xvnum.replace('.','');}
				if (xcar=='-'){xvnum=xvnum.replace('-','');}
				
			}
			xnum=xnum.replace('..','.')
		 	document.getElementById(e2).value=xnum;
}
	
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>

</script>
</head>

<body>

<div align="center">
<div align="center">

<?php include('../../_lib/cabecera2.php');?>

<!-- <br/> -->

<table width="100%" border="1" cellpadding="0" cellspacing="0" style="font-size:14px;">

<tr valign="top">
	<td width="50%">
	<table border="0" cellpadding="2" cellspacing="0" >
    	<tr>
				<td style="font-weight:bolder">DOCUMENTO:</td>
				<td><div>	<?php echo $docu.' - '.mysql_result($res_pago,0,'docu_descri');;?> </div></td></tr>
        <tr>
					<td style="font-weight:bolder">NUMERO :</td>
					<td><div>
						<a href="../lib/celectop1.php?docu=<?php echo mysql_result($res_pago,0,'docu'); ?>&idnum=<?php echo mysql_result($res_pago,0,'idnum1'); ?>&formato=1" target="_blank">
							<?php echo $ptonumero;?></a>
					</div></td>
				</tr>
        <tr>
					<td style="font-weight:bolder">CLIENTE :</td>
					<td><div>
						<a href="lblenti0.php?ci=<?php echo mysql_result($res_pago,0,'enti');?>" target="_blank">
						<?php echo mysql_result($res_pago,0,'enti')?></a>
						<?php echo' - '.$entidad;?> </div></td>
				</tr>
<!--         <tr><td style="font-weight:bolder">SUSTENTO :</td><td><div><?php echo mysql_result($res_pago,0,'suco').' - '.$entidad;?> </div></td></tr> -->
        <tr><td style="font-weight:bolder">CONCEPTO :</td><td><div><?php echo mysql_result($res_pago,0,'concepto');?> </div></td></tr>
	</table>    
    </td>
	<td>

	<table border="0" cellpadding="2" cellspacing="0" >
    	<tr><td style="font-weight:bolder">FECHA:</td><td><div><?php echo mysql_result($res_pago,0,'fechadmy');?> </div></td></tr>
        <tr><td style="font-weight:bolder">VENCE :</td><td><div><?php echo mysql_result($res_pago,0,'vencedmy');?> </div></td></tr>
        <tr><td style="font-weight:bolder">TIPO RUC :</td><td><div><?php echo mysql_result($res_pago,0,'enti_tiporuc');?> </div></td></tr>
	</table>    
    </td>
    
	<td>
	<table border="0" cellpadding="2" cellspacing="0" >
    	<tr><td style="font-weight:bolder" align="right">SUB-TOT IVA 0 :</td><td><div align="right"><?php echo number_format($tsubtiva0,2);?>  </div></td></tr>
    	<tr><td style="font-weight:bolder" align="right">SUB-TOT IVA :</td><td><div align="right"><?php echo number_format($tsubtiva,2);?>  </div></td></tr>
    	<tr><td style="font-weight:bolder" align="right">I.C.E.</td><td><div align="right"><?php echo number_format($tice,2);?>  </div></td></tr>
    	<tr><td style="font-weight:bolder" align="right">I.V.A.</td><td><div align="right"><?php echo number_format($tiva,2);?>  </div></td></tr>

	</table>    
    </td>
    
	<td>
	<table border="0" cellpadding="2" cellspacing="0" >
		
		
    	<tr><td style="font-weight:bolder" align="right">TOTAL :</td><td><div align="right"><?php echo number_format($valor,2);?>  </div></td></tr>
        <tr><td style="font-weight:bolder" align="right">ABONO :</td><td><div align="right"><?php echo number_format($abono,2);?> </div></td></tr>
        <tr><td style="font-weight:bolder" align="right">SALDO :</td><td><div align="right"><?php echo number_format($saldo,2);?>  </div></td></tr>
				<tr><td>
				<div><input type="hidden" id="idsaldo" value="<?php echo number_format($saldo,2);?>" /></div>
					</td>
				</tr>
	</table>    
    </td>
</tr>

</table>

<?php include('vrmsjerr.php') ?>
	
<!-- <div align="center" id="msjerr" style="height:25px; margin:5px"></div> -->


<div align="left">

	
<!-- <div id="msjerr" style="height:25px; margin:5px"></div> -->
<table width="100%" border="0" cellpadding="2" cellspacing="0"  style="border-collapse:collapse; background:#eee;font-size:14px;">
<tr  valign="top" style="border-top: solid 1px;border-bottom: solid 1px;">
<?php $pcaption='DOCU'; $ptabla='docu'; $pobj=4; $plong=4; $ponblur='_docu(event);'; $pdefa='IE10';  include('vrgetcod.php'); ?>
<?php $pcaption='PTOE'; $pidtxt='ptoe'; $pobj=2; $plong=6; $pdefa='001001';   include('vrgetnum.php'); ?>
<?php $pcaption='NUMERO'; $pidtxt='numero'; $pobj=2; $plong=9; $pdefa='';  include('vrgetnum.php'); ?>
<?php $pcaption='FECHA'; $pidtxt='fecha'; $pobj=2;     include('vrgetfec.php'); ?>
<?php $pcaption='CANTIDAD'; $pidtxt='cant'; $pobj=2; $ponblur='_cant();';  include('vrgetval.php'); ?>
<?php $pcaption='DIFERENCIA'; $pidtxt='difer'; $pobj=2; $plong=9;  include('vrgetval.php'); ?>
<?php $pcaption='CAJA'; $ptabla='caja'; $pobj=2; $plong=4;  include('vrgetcod.php'); ?>
<?php $pcaption='CTA.BAN.'; $ptabla='ctab'; $pobj=2; $plong=4;  include('vrgetcod.php'); ?>
<?php $pcaption='CAIR'; $ptabla='cair'; $pobj=2; $plong=4;  include('vrgetcod.php'); ?>
<?php $pcaption='BASE'; $pidtxt='base'; $pobj=2;   include('vrgetval.php'); ?>
<?php $pcaption='%'; $pidtxt='porc'; $pobj=2;   include('vrgetval.php'); ?>
<?php $pcaption='BANCO'; $ptabla='bcos'; $pobj=2; $plong=4;  include('vrgetcod.php'); ?>
<?php $pcaption='CTA.NUM.'; $pidtxt='ctanum'; $pobj=2; $plong=16;  include('vrgetnum.php'); ?>
<?php $pcaption='CTA.NOMBRE.'; $pidtxt='ctanom'; $pobj=2; $plong=20;  include('vrgettxt.php'); ?>
<?php $pcaption='CONCEPTO'; $pidtxt='concepto'; $pobj=2; $plong=50;    include('vrgettxt.php'); ?>
	<th align="left">
    <div><input type="button" accesskey="G" id="grabar"  width="88" height="22" src="http://vcrxol.com/_img/ico_plus2.png" onClick="valida_docu()" value="GRABAR" style="font-weight:bold"/></div>
<!-- 		<input src="http://vcrxol.com/_img/ico_plus.png"  type="image" onclick="valida_docu()" width="19"> -->
	</th>
</tr>

</table>

	<span id="msjerr" style="height:25px; margin:5px; color:red; font-weight:bold; font-size:20px;"></span>

<!-- <div align="left"><b>Detalle de Pagos	</b></div> -->
<div id="detalle">
<br/>
<table width="100%" border="0" cellpadding="2" cellspacing="0" class="tablitita"   style="border-collapse:collapse; font-size:14px;">
   <tr style="border-bottom:solid 2px;" align="center">
			<th></th>
			<th>DOCUMENTO</th>
			<th>NUMERO</th>
			<th>FECHA</th>
			<th>VALOR</th>
			<th>CONCEPTO</th>
			<th></th>
			<th></th>
			<th></th>
			<th></th>
		  <th></th>
		</tr>
	
<?php	$aux=0;	
// 	if(mysql_num_rows($res_cxpa)==0)
	if($abono==0)
	{echo 'NO HAY DETALLE';}
	else
	{
?>

<?php
		while($row_cxpa=mysql_fetch_assoc($res_cxpa))
		{
?>
		<tr align="center" style=" <?php if($aux==2){echo "border-bottom:dotted #000000 1px;"; $aux=0;}else{ $aux++;} ?>">
    <td>
    <a href="../lib/celectop1.php?docu=<?php echo $row_cxpa['docum']; ?>&idnum=<?php echo $row_cxpa['idnum1']; ?>&formato=1" target="_blank"><img src="../img/print2.png" width="20"  title="Imprimir :<?php echo $row_cxpa['docum'];?>-<?php echo $row_cxpa['ptonumer'];?>"  /></a>
			</td>
			<td align="left"><?php echo $row_cxpa['docum'].' -'.$row_cxpa['docu_descri'];?></td>
            <td><?php echo $row_cxpa['ptonumer'];?>  </td>
            <td><?php echo $row_cxpa['fechadmy'];?> </td>
            <td align="right"><?php echo number_format(abs($row_cxpa['tcant']),2);?></td>
            <td align="left"><?php echo $row_cxpa['concepto'];?></td>
            <td><?php echo $row_cxpa['caja_descri'];?></td>
            <td><?php echo $row_cxpa['ctab_descri'];?></td>
            <td><?php echo $row_cxpa['cair'];?></td>
            <td><?php if($row_cxpa['puni']>0){echo number_format($row_cxpa['puni'],2).'%';}?></td>
<!--             <td></div></td> -->
    <td align="center" style="border-left:#000000 solid 1px;">
	       	<input type="image" id="a_pedido" src="http://vcrxol.com/_img/ico_anula.png" width="25" title="Anular <?php echo $row_cxpa['docum'];?>-<?php echo $row_cxpa['ptonumer'];?>"  onclick="docu_ox('<?php echo $row_cxpa['docum'];?>','<?php echo $row_cxpa['idnum1'];?>','','O');"  />
    </td>    
			
        </tr>
<?php			
		}
?>

	
	<?php			
	}
?>
		</table>
<?php		
	}
?>
</div>


</div>
</div>

<?php		
// $xwidth=40;	
require('lista_car.php');
?>	
<!-- 
<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    
 -->
</body>
</html>